# OpenVAS-Client
# $Id$
# Description: Makefile for clients local copy of openvas-librarie module
#
# Authors:
# Felix Wolfsteller <felix.wolfsteller@intevation.de>
#
# Copyright:
# Copyright (C) 2008 Intevation GmbH
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# or, at your option, any later version as published by the Free
# Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
# In addition, as a special exception, you have
# permission to link the code of this program with the OpenSSL
# library (or with modified versions of OpenSSL that use the same
# license as OpenSSL), and distribute linked combinations including
# the two. You must obey the GNU General Public License in all
# respects for all of the code used other than OpenSSL. If you
# modify this file, you may extend this exception to your version
# of the file, but you are not obligated to do so. If you do not
# wish to do so, delete this exception statement from your version.
#/

include ../../nessus.tmpl

GTKLIBS= $(GTKCONFIG_LIBS)
INCLUDE = ${include} $(GTKCONFIG_CFLAGS) $(GLIB_CFLAGS) -I../../nessus -I.. -I../../include

OPENVAS_INCLUDE=`sh ./cflags`
CFLAGS+=-Wall

# Add some specific Windows compile options for Cygwin
SYSTEM:=$(shell uname -o)
ifeq ($(SYSTEM), Cygwin)
CFLAGS+=-mms-bitfields
LDFLAGS+=-mwindows
endif

OBJS=hash_table_file.o

all : cflags $(OBJS)

cflags : Makefile
	@echo "$(NESSUS_CFLAGS) $(NESSUS_DEFS) -DPACKAGE=\"OpenVAS-Client\" $(INCLUDE)"  | sed 's/\"/\\\"/g' > cflags.tmp
	@echo "echo \"`cat cflags.tmp`\"" > cflags
	@rm cflags.tmp
	@chmod +x cflags

hash_table_file.o : cflags hash_table_file.c hash_table_file.h
	$(CC) $(CFLAGS) $(OPENVAS_INCLUDE) -c hash_table_file.c

clean :
	rm -f *.o cflags
